Download the Kindle Fire APK

If you are unable to locate or download the OVERDRIVE or OVERDRIVE: Fast & Furious Edition (Available September 2017) from within the Amazon Appstore, this means that your Amazon Kindle device is known to not support OVERDRIVE and will not support OVERDRIVE: Fast & Furious Edition apps. Either it does not meet a specific requirement, or we’ve have specifically disabled it because there were problems that we could not fix or workaround. 


For specifics about supported Amazon Kindle Devices please refer to this article:

OVERDRIVE / OVERDRIVE: Fast & Furious Edition Compatible Devices


For more details about device compatibility, for some suggestions on how to potentially use your device, and for a link to an .apk file, please refer to this article:

Anki OVERDRIVE: Details about Device Compatibility


For an .apk file that might install and work on your unsupported device, please read this article:

Anki OVERDRIVE: APK some for unsupported devices

Still need help? Contact Us Contact Us